> For the complete documentation index, see [llms.txt](https://docs.validere.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validere.com/getting-started/getting_started.md).

# Getting Started

Our platform enables clients to seamlessly integrate data sources and sinks using various methods, including a **RESTful API** and other data interfaces like **Email**, and **sFTP**. This guide will help you get started with each of these interfaces.

## API

The Validere API allows clients to push data for data ingestion, get visibility into data transaction information, retrieve relevant configuration data and all other emission and operational data available in the platform.

### Authentication

* To use the API, you need to obtain authentication credentials.
* Reach out to our technical support team to get an `auth0 client_id` and `client_secret`.
* Use these credentials to retrieve a machine JWT token from auth0, which is necessary for API access

### Using the API

* **Push Data**: Send data directly to the Validere data platform.
* **Retrieve Data**: Access data based on your configurations in CarbonHub.
* **Transaction Details**: Get insights about your transactions with the data platform.

## Push Connectors

Validere allows clients to connect their data sources using **push connectors**. These connectors facilitate the transfer of data into our platform as events, messages, or files.

### How Push Connectors Work:

1. **Data Transfer**: Client systems send data to our platform
2. **Processing**: The connector receives the data and performs cleaning, normalization, and transformation
3. **Ready for Analysis**: Prepared data is then integrated into the platform and downstream use cases

## Support and Assistance

Our technical services team is ready to assist you:

* **Setup**: We help set up the required ingestion parameters for your datasets.
* **Guidance**: Our team will guide you through the successful ingestion of your source data.

For further assistance or to start integrating your data with Validere, please contact <support@validere.com>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validere.com/getting-started/getting_started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
